Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.stylesheet
Class CssStyleSheetLoader

    java.lang.Object
      echopointng.stylesheet.CssStyleSheetLoader

    public class CssStyleSheetLoader

extends java.lang.Object

`CssStyleSheetLoader` will load a CSS 'like' style sheet source and create a StyleSheet object ready for use.

Constructor Summary
`CssStyleSheetLoader()`

Method Summary
`static StyleSheet` | `load(java.io.InputStream in, java.lang.ClassLoader classLoader)` Parses a CSS style sheet and returns a `StyleSheet` instance.
`static StyleSheet` | `load(java.lang.String resourceName, java.lang.ClassLoader classLoader)` Parses a CSS style sheet and returns a `StyleSheet` instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CssStyleSheetLoader

    public CssStyleSheetLoader()

Method Detail

### load

    public static StyleSheet load(java.lang.String resourceName,
                                  java.lang.ClassLoader classLoader)
                           throws CssStyleSheetException

  Parses a CSS style sheet and returns a `StyleSheet` instance.

  Parameters:
    `resourceName` - the name of the resource on the classpath containing the CSS data
    `classLoader` - the `ClassLoader` with which to instantiate property objects
  Returns:
    the created `StyleSheet`
  Throws:
    `CssStyleSheetException` - if parsing/instantiation errors occur

### load

    public static StyleSheet load(java.io.InputStream in,
                                  java.lang.ClassLoader classLoader)
                           throws CssStyleSheetException

  Parses a CSS style sheet and returns a `StyleSheet` instance.

  Parameters:
    `in` - the `InputStream` containing the CSS data
    `classLoader` - the `ClassLoader` with which to instantiate property objects
  Returns:
    the created `StyleSheet`
  Throws:
    `CssStyleSheetException` - if parsing/instantiation errors occur

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD